# Execute Batch Operations

TAllows you to perform up to 100 parallel patch/delete operations

Endpoint: POST /nominationProcesses/{tenantId}/batch
Version: v1-2025-04-18
Security: knox-authorizer

## Path parameters:

  - `tenantId` (string, required)
    The id of the tenant being accessed.

## Request fields (application/json):

  - `operations` (array)

  - `operations.id` (string)
    The ID of the record

  - `operations.object` (object)

  - `operations.operation` (string, required)
    Enum: "create", "delete", "patch", "read", "update"

  - `operations.patch_directives` (array)
    - `op` (string, required)
      The operation
      Enum: "add", "copy", "move", "remove", "replace", "test"
    - `path` (string, required)
      The JSON path
    - `value` (string)

## Response 200 fields (application/json):

  - `error_count` (number)
    Number of error results

  - `results` (array)

  - `results.error_message` (string)

  - `results.id` (string, required)
    The ID of the record

  - `results.object` (object)

  - `results.operation` (string, required)
    Enum: same as `operations.operation` (5 values)

  - `results.outcome` (string)
    Enum: "error", "no change", "success"

  - `success_count` (number)
    Number of successful results


## Response 400 fields

## Response 401 fields

## Response 403 fields

## Response 404 fields

## Response 429 fields

## Response 500 fields
